<template>
    <div class="video-container">
    <LazyYoutubeVideo
            :src="video.url"
            :preview-image-size="video.previewImageSize"
            
            :aspect-ratio="video.aspectRatio"
            :thumbnail-listeners="{ load: foo }"

            style="box-shadow: 0px 2px 37px 36px rgba(142,60,250,1);"
            
    />
    </div>
    
    
</template>

<script>

import LazyYoutubeVideo from "vue-lazy-youtube-video";

export default {
    components: {
        LazyYoutubeVideo
  },
    data() {
    return {
      video: 
        {
          url: "https://www.youtube.com/embed/Tx1K51_F99o",
          previewImageSize: 'mqdefault',
         
        }
      
    };
  },
   methods: {
    foo() {
      console.log("bar");
    }
  }


}
</script>

<style scoped>

.video-container {
    width: 60%;
    height: 550px;
    display:block;
    margin:auto;
   

}


</style>